Author Topic: Want Compiled Thread?  (Read 151751 times)

anunakin

  • Sr. Member
  • ****
  • Posts: 340
    • View Profile
    • http://vivaphp.net
Want Compiled Thread?
« Reply #345 on: June 13, 2008, 01:25:00 pm »
Quote from: Lemuus
hi, Maxima 5.13.0 and wxMaxima 0.7.3a please!!
thanks,
Lemuus.

I have maxima 5.9.3 and wxMaxima 0.6.4 on may feed:
http://zaurus.vivaphp.net/pdaxrom/misc/

I just working on maxima for armv6 ... and I tried from maxima 5.9.4 to 5.15.0 and all crashing at compile time...
wxMaxima 0.7.5 compiled... I need some time to build a package and post...

CLISP is a needed package... this have some issues due ARM assembly ... on AMRv5 (Zaurus) and ARMv6 (Nokia) ... I compiled CLISP 2.38 this works... very well and I have on my feed... well I need only upgrade wxMaxima to 0.7.5 version...  
[img]http://www.vivaphp.net/imagens/rev2.jpg\" border=\"0\" class=\"linked-sig-image\" /]
Anunakin (Marcus Fazzi)

Nokia N900 32GB + microSD 2GB
Nokia N810 w/ microSD 8GB
Nokia 5310 XpressMusic w/ microSD 1GB
HP48GX->Psion Sienna->Palm m130->Tungsten T->Zaurus SL-5500->C3000->C3100 ALL SOLD

My FEED(On Line AGAIN!!!)

Shem

  • Newbie
  • *
  • Posts: 10
    • View Profile
Want Compiled Thread?
« Reply #346 on: June 16, 2008, 07:08:21 am »
Hi! If someone could give me directions on how dsniff and ettercap (w/ GTK supp.) could be compiled for pdaxii13v2? All the wiki's are outdated

I'd like to cross compile, but since the wiki's are dead I don't have any clue where to start..
« Last Edit: June 16, 2008, 07:11:07 am by Shem »

/dev/null

  • Jr. Member
  • **
  • Posts: 68
    • View Profile
Want Compiled Thread?
« Reply #347 on: June 17, 2008, 12:41:09 pm »
I'd like a friendly package to configure a printer for my c3200  
ps sorry for my bad english...

Capn_Fish

  • Hero Member
  • *****
  • Posts: 2342
    • View Profile
    • http://
Want Compiled Thread?
« Reply #348 on: June 17, 2008, 01:50:21 pm »
You mean besides CUPS' web browser interface? Like Ubuntu's printer config (just about automatic)?
SL-C750- pdaXrom beta 1 (mostly unused)
Current distro: Gentoo

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
Want Compiled Thread?
« Reply #349 on: June 24, 2008, 01:06:38 pm »
Could someone compile Diary 0.3.1 plaese ?
See Diary on gnomefiles.org

Thanks
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before

climber

  • Full Member
  • ***
  • Posts: 189
    • View Profile
Want Compiled Thread?
« Reply #350 on: June 25, 2008, 03:38:49 am »
Could someone compile Catfish 0.3 please?

See catfish

Thanks
climber

kkazakov13

  • Sr. Member
  • ****
  • Posts: 408
    • View Profile
Want Compiled Thread?
« Reply #351 on: June 27, 2008, 06:10:13 pm »
Catfish - http://z.drun.net/packages/catfish_0.3_armv5tel.ipk

[img]http://up.drun.net/v/s/2/f/catfish_01z.png\" border=\"0\" class=\"linked-image\" /]

you also will need latest findutils - http://z.drun.net/packages/findutils_4.4.0_armv5tel.ipk

I'm on building gtkspell and then diary

That's for beta3, you know ...

catfish was compiled with python 2.4
SL-C3200 ** FOR SALE :( **
https://www.oesf.org/forum/index.php?showtopic=25969

Canon K30225 CF wireless card
Taxan iTax-LAN10 wired card
My packages for customized pdaXrom beta 3

kkazakov13

  • Sr. Member
  • ****
  • Posts: 408
    • View Profile
Want Compiled Thread?
« Reply #352 on: June 29, 2008, 02:54:01 pm »
Damn ... having problem building this simple program "diary" ...

it fails with the following:

Code: [Select]
gcc -Wall -g -mcpu=xscale -mtune=iwmmxt -O3 -fomit-frame-pointer -fno-common -Wl,--allow-multiple-definition -o diary main.o interface.o main-window.o storage-manager.o add-link-dialog.o search-dialog.o printing.o link.o uri.o file.o note.o -Wl,--export-dynamic -pthread  /usr/lib/libgio-2.0.so /usr/lib/libsqlite3.so /usr/lib/libgtkspell.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libgmodule-2.0.so /usr/lib/libcairo.so /usr/lib/libgconf-2.so /usr/lib/libORBit-2.so /usr/lib/libgthread-2.0.so /usr/lib/libgobject-2.0.so /usr/lib/libglib-2.0.so /usr/lib/libgpgme.so /usr/lib/libgpg-error.so -L/opt/native/arm/3.4.6-xscale-softvfp/armv5tel-cacko-linux/lib -lz -lXrender -lSM -lICE -lX11 -lm -ldl -lpthread -lrt  
/usr/lib/libgpgme.so: undefined reference to `gpg_error_from_syserror'
collect2: ld returned 1 exit status

I've rebuilt libgpg-error, gpgme, but no luck so far. Looks like libgpg-error doesn't have it as text in any of the produced files except .h file
SL-C3200 ** FOR SALE :( **
https://www.oesf.org/forum/index.php?showtopic=25969

Canon K30225 CF wireless card
Taxan iTax-LAN10 wired card
My packages for customized pdaXrom beta 3

canguy247

  • Jr. Member
  • **
  • Posts: 68
    • View Profile
Want Compiled Thread?
« Reply #353 on: June 29, 2008, 05:26:33 pm »
Quote from: kkazakov13
Damn ... having problem building this simple program "diary" ...

it fails with the following:

Code: [Select]
gcc -Wall -g -mcpu=xscale -mtune=iwmmxt -O3 -fomit-frame-pointer -fno-common -Wl,--allow-multiple-definition -o diary main.o interface.o main-window.o storage-manager.o add-link-dialog.o search-dialog.o printing.o link.o uri.o file.o note.o -Wl,--export-dynamic -pthread  /usr/lib/libgio-2.0.so /usr/lib/libsqlite3.so /usr/lib/libgtkspell.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libgdk_pixbuf-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libgmodule-2.0.so /usr/lib/libcairo.so /usr/lib/libgconf-2.so /usr/lib/libORBit-2.so /usr/lib/libgthread-2.0.so /usr/lib/libgobject-2.0.so /usr/lib/libglib-2.0.so /usr/lib/libgpgme.so /usr/lib/libgpg-error.so -L/opt/native/arm/3.4.6-xscale-softvfp/armv5tel-cacko-linux/lib -lz -lXrender -lSM -lICE -lX11 -lm -ldl -lpthread -lrt  
/usr/lib/libgpgme.so: undefined reference to `gpg_error_from_syserror'
collect2: ld returned 1 exit status

I've rebuilt libgpg-error, gpgme, but no luck so far. Looks like libgpg-error doesn't have it as text in any of the produced files except .h file



Have a look at this.

Looks like they had the same issue.  The author says it is from linking to old versions of libraries.
SL-C1000 - Debian 2.6.24.4-yonggun (from SD)
Pandora preordered
4GB Transcend 150X SD
16GB AData CF
USB Host cable
Bluetooth USB Dongle/Linksys WCF12 CF Wifi
TRENDnet TE-CF100 10/100 Wired ethernet CF / DM9601 usb ethernet
Palm III keyboard neoprene case

climber

  • Full Member
  • ***
  • Posts: 189
    • View Profile
Want Compiled Thread?
« Reply #354 on: June 30, 2008, 02:00:26 am »
@kkazakov13

thank you very much for compiling catfish  !  The speed how you compile all the apps is impressing me!

Do you have a good step by step instruction how to cross compile applications for zaurus? Only if it's not a big deal
for you please could you write down the different steps how you bild "catfish_0.3_armv5tel.ipk"?

I want to compile applications too but I'm not so familiar with cross compiling. If it's possible I want to use
vmware pdax86 image with vmware player. How does your cross compiling environment look like?

Thanks
climber

climber

  • Full Member
  • ***
  • Posts: 189
    • View Profile
Want Compiled Thread?
« Reply #355 on: June 30, 2008, 06:04:25 am »
Starting "catfish" I get the following error message:

Code: [Select]
The required module optparse is missing
??????????

I've python 2.4.1 installed

Thanks
climber
« Last Edit: June 30, 2008, 06:04:57 am by climber »

kkazakov13

  • Sr. Member
  • ****
  • Posts: 408
    • View Profile
Want Compiled Thread?
« Reply #356 on: June 30, 2008, 04:39:48 pm »
Quote from: climber
Starting "catfish" I get the following error message:

Code: [Select]
The required module optparse is missing
??????????

I've python 2.4.1 installed

Thanks
climber

I just checked, I have optparse.pyc in /usr/lib/python2.4 directory. Checking my /usr/lib/ipkg/info/ , I've discovered that it's in package "python" - I have the full python package installed, not python-core and friends ...

Lately, programs I actually build onboard only ... because i'm often moving around and I put z to do some good things

If you're interested in my exact crosscompilation setup, check "Cross compilation setup" section in this tread - https://www.oesf.org/forum/index.php?showtopic=25792


Quote from: canguy247
Have a look at this.

Looks like they had the same issue.  The author says it is from linking to old versions of libraries.
Already found this. Unfortunately it led me to nowhere as I could not find where actually the problem could be, as I'm having exactly 2 library directories and 2 include directories and already checked them. Maybe (probably) I'm missing something. Will check when have some time (in a day or two max)
« Last Edit: June 30, 2008, 04:41:52 pm by kkazakov13 »
SL-C3200 ** FOR SALE :( **
https://www.oesf.org/forum/index.php?showtopic=25969

Canon K30225 CF wireless card
Taxan iTax-LAN10 wired card
My packages for customized pdaXrom beta 3

kkazakov13

  • Sr. Member
  • ****
  • Posts: 408
    • View Profile
Want Compiled Thread?
« Reply #357 on: July 04, 2008, 07:21:46 am »
Ok, managed to compile diary -

http://z.drun.net/packages/diary_0.3.1_armv5tel.ipk

you may need also

http://z.drun.net/packages/libgpg-error_1.6_armv5tel.ipk and
http://z.drun.net/packages/gpgme_1.1.4_armv5tel.ipk

Beware that pressing Enter or Space or going back with the arrows to the first position crashed Diary. No idea why, but I'm not investigating further ...
SL-C3200 ** FOR SALE :( **
https://www.oesf.org/forum/index.php?showtopic=25969

Canon K30225 CF wireless card
Taxan iTax-LAN10 wired card
My packages for customized pdaXrom beta 3

scheck.r

  • Sr. Member
  • ****
  • Posts: 320
    • View Profile
    • http://
Want Compiled Thread?
« Reply #358 on: July 04, 2008, 08:52:37 am »
Quote from: kkazakov13
Ok, managed to compile diary -

http://z.drun.net/packages/diary_0.3.1_armv5tel.ipk

you may need also

http://z.drun.net/packages/libgpg-error_1.6_armv5tel.ipk and
http://z.drun.net/packages/gpgme_1.1.4_armv5tel.ipk

Beware that pressing Enter or Space or going back with the arrows to the first position crashed Diary. No idea why, but I'm not investigating further ...
Thanks, It seems I can only write notes for passed days but not following days, strange, and there are random crashes too. This app looks promising though.
SL-C1000 from PriceJapan(cheap and very fast shipping) with EA-70 power adapter, iRiver USB Host cable, PDAIR case, pentopia stylus, ultra clear screen-protector from shop.brando.com.hk only $3 for shipping worldwide
4GB Hitachi Microdrive, 1GB Kingston Elite Pro CF, 4GB Transcend 150x SD, Symbol Spectrum 4137 CF WiFi(low power)
PdaXrom pdaxii13 5.4.9 updated with Kkazakov13's feed. I owned a SL-6000L before

climber

  • Full Member
  • ***
  • Posts: 189
    • View Profile
Want Compiled Thread?
« Reply #359 on: July 28, 2008, 10:21:50 am »
Diary on pdaXii13 v2 works without problem on my C3100 so far  

In which file are the data stored because I want to add them to my backup folder.


Thank
climber
« Last Edit: July 28, 2008, 10:22:11 am by climber »